<?xml version="1.0"?>
<doc>
    <assembly>
        <name>ConsoleCalculator</name>
    </assembly>
    <members>
        <member name="T:ConsoleCalculator.ConsoleCalculator_Info">
            <summary>
            Assembly information and related
            </summary>
        </member>
        <member name="T:ConsoleCalculator.Program">
            <summary>
            Main class in this program (however, application entry point is in "Startup" class).
            </summary>
        </member>
        <member name="M:ConsoleCalculator.Program.PerformCalculation">
            <summary>
            Calculation sequence routine.
            </summary>
        </member>
        <member name="M:ConsoleCalculator.Program.InputOperand(System.String,System.String@,System.Decimal@)">
            <summary>
            Simplified operand input routine (default caption color).
            </summary>
        </member>
        <member name="M:ConsoleCalculator.Program.InputOperand(System.String,System.Nullable{System.ConsoleColor},System.String@,System.Decimal@)">
            <summary>
            Operand input routine (decimal number).
            </summary>
        </member>
        <member name="M:ConsoleCalculator.Program.AcceptOperationKey">
            <summary>
            Operation input routine.
            </summary>
        </member>
        <member name="M:ConsoleCalculator.Program.Run">
            <summary>
            This is, in fact, the main function in this application.
            </summary>
        </member>
        <member name="T:ConsoleCalculator.CalculationOperation">
            <summary>
            Enumeration style constant-set for calculation operations (0,1,2,...).
            </summary>
        </member>
        <member name="T:ConsoleCalculator.Startup">
            <summary>
            Application bootup class (it contains application entry point).
            </summary>
        </member>
        <member name="M:ConsoleCalculator.Startup.Main(System.String[])">
            <summary>
            Application entry point
            </summary>
        </member>
    </members>
</doc>
